Skip to Content
LandedFXDocs

Latest quotes served

GET
/api/v1/quotes/recent

A live feed of recent quotes, without any caller details.

Query Parameters

page?number

Page number

Range1 <= value
Default1
limit?number

Items per page

Range1 <= value <= 100
Default20

Response Body

application/json
  1. response
code*number

HTTP status code

message*string

Human-readable message

data?never
metadata?
errors?array<string>

Validation errors, when the request was rejected

Example Request
curl -X GET 'https://api.landedfx.com/api/v1/quotes/recent'
Example Response200
{  "message": "string",  "metadata": {    "page": 1,    "limit": 20,    "totalDocs": 42,    "prevPage": null,    "nextPage": 2,    "totalPages": 3  },  "errors": [    "string"  ],  "code": 200,  "data": [    {      "quoteId": "string",      "from": "string",      "to": "string",      "amountIn": "string",      "amountOut": "string",      "allInBps": 0,      "confidence": "high",      "venue": "string",      "network": "string",      "latencyMs": 0,      "createdAt": "2019-08-24T14:15:22Z"    }  ]}